Bug 244934 - devel/py-ipykernel: Mark as deprecated and set an expiry date
Summary: devel/py-ipykernel: Mark as deprecated and set an expiry date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on: 244951 244952 245132
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-20 18:03 UTC by Danilo G. Baio
Modified: 2020-04-06 00:23 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
py-ipykernel-deprecated.patch (3.23 KB, patch)
2020-03-20 18:03 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff
py-ipykernel-deprecated-v02.patch (1.43 KB, patch)
2020-03-21 14:15 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-03-20 18:03:28 UTC
Created attachment 212550 [details]
py-ipykernel-deprecated.patch

Use devel/py-ipykernel5 instead.

Basic runtime tests were made in the consumers' ports.

After a while, we can move devel/py-ipykernel5 to devel/py-ipykernel.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-20 23:45:29 UTC
Comment on attachment 212550 [details]
py-ipykernel-deprecated.patch

Approved by: koobs (python, maintainer)

If it passes QA (portlint, poudriere)
Comment 2 Danilo G. Baio freebsd_committer 2020-03-21 14:15:05 UTC
Created attachment 212582 [details]
py-ipykernel-deprecated-v02.patch

Update consumers (ipyparallel and ipywidgets) separately, in fact we need to also move ipython to the latest version, not just ipykernel.

I've created another PRs for that.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-22 02:01:31 UTC
Thank you Danilo. Any reason(s) not to delete it and update consumers now, leaving the ikernel5 -> ikernel origin update as a second step. If you're giving yourself/us time to potentially pick up issues/fallout, thats fine
Comment 4 Danilo G. Baio freebsd_committer 2020-03-22 13:11:18 UTC
(In reply to Kubilay Kocak from comment #3)

My concern is more with runtime issues.

The change in the consumers ports is to prevent conflicts with two versions of ipython and prompt_toolkit that will be installed when we have all dependencies and consumers installed. I've saw this issue on poudriere.

I think we are safe with this change, the only port that explicitly required ipython < 6 is devel/py-ipywidgets when using Python < 3. (was removed support for Python 2 on it in ports r528548.)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 00:30:19 UTC
(In reply to Danilo G. Baio from comment #4)

Thanks for the explanation. As part of this, if it hasn't been done already, please make sure all consumers declare their dependency versions the same as their source code specifies.

If ports specify >0 but the sources specify >x.y, update *_DEPENDS to specify that exact version

If ports specify * but the sources specify >x.y,<z, update *_DEPENDS to specify that exact version, like '>x.y<z' as well. This will help identify issues and failures and improve QA in the future
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 00:31:21 UTC
Comment on attachment 212582 [details]
py-ipykernel-deprecated-v02.patch

Approved by: koobs (python, maintainer)

If it passes QA (incl consumers)
Comment 7 commit-hook freebsd_committer 2020-04-06 00:21:20 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr  6 00:13:37 UTC 2020
New revision: 530847
URL: https://svnweb.freebsd.org/changeset/ports/530847

Log:
  devel/py-ipykernel: Mark as deprecated and set an expiry date

  Update consumers to use devel/py-ipykernel5.

  PR:		244934, 245132
  Approved by:	koobs (python, maintainer)

Changes:
  head/devel/py-ipykernel/Makefile
  head/www/py-notebook/Makefile
Comment 8 Danilo G. Baio freebsd_committer 2020-04-06 00:23:13 UTC
thank you koobs